### Function

# Qmi MessageQosSwiReadDataStatsInput new

since: 1.22

#### Declaration [src]

    QmiMessageQosSwiReadDataStatsInput*
    qmi_message_qos_swi_read_data_stats_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageQosSwiReadDataStatsInput`.

Available since: 1.22

#### Return value

Type: `QmiMessageQosSwiReadDataStatsInput`

The newly created `QmiMessageQosSwiReadDataStatsInput`. The returned value should be freed with qmi_message_qos_swi_read_data_stats_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.